Get linked contacts
curl --request POST \
--url https://app.sagepilot.ai/platform-api/v1/customers/linked_contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactId: '<string>'})
};
fetch('https://app.sagepilot.ai/platform-api/v1/customers/linked_contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sagepilot.ai/platform-api/v1/customers/linked_contacts"
payload = { "contactId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"contacts": [
{
"id": "8258ac65-4073-44b8-83f5-b459ab9ff68e",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": null,
"is_primary": false,
"created_at": "2025-03-18T20:49:09.137699Z",
"source": "playground"
},
{
"id": "70c42a1c-da1e-488e-b24f-ece6b2f3a5fe",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": "918003213447",
"is_primary": false,
"created_at": "2025-01-06T19:44:10.643789Z",
"source": "web_widget"
}
]
}
Get linked contacts
List contacts linked to a customer by tracker.
POST
/
platform-api
/
v1
/
customers
/
linked_contacts
Get linked contacts
curl --request POST \
--url https://app.sagepilot.ai/platform-api/v1/customers/linked_contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactId: '<string>'})
};
fetch('https://app.sagepilot.ai/platform-api/v1/customers/linked_contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sagepilot.ai/platform-api/v1/customers/linked_contacts"
payload = { "contactId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"contacts": [
{
"id": "8258ac65-4073-44b8-83f5-b459ab9ff68e",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": null,
"is_primary": false,
"created_at": "2025-03-18T20:49:09.137699Z",
"source": "playground"
},
{
"id": "70c42a1c-da1e-488e-b24f-ece6b2f3a5fe",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": "918003213447",
"is_primary": false,
"created_at": "2025-01-06T19:44:10.643789Z",
"source": "web_widget"
}
]
}
{
"success": true,
"contacts": [
{
"id": "8258ac65-4073-44b8-83f5-b459ab9ff68e",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": null,
"is_primary": false,
"created_at": "2025-03-18T20:49:09.137699Z",
"source": "playground"
},
{
"id": "70c42a1c-da1e-488e-b24f-ece6b2f3a5fe",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": "918003213447",
"is_primary": false,
"created_at": "2025-01-06T19:44:10.643789Z",
"source": "web_widget"
}
]
}
Required access
| Authentication | Scope | Dataset grant |
|---|---|---|
| API client v2 | customers:read | customers |
Body
string
required
Contact/customer UUID used to find linked contacts. Open a customer in the Customer module and use the last UUID in the URL:
/dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.Response
boolean
required
Whether the request succeeded.
object[]
required
Linked contacts.
⌘I